GLFW

- Documentation
- Download
- Media
- Community

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Macros
Standard cursor shapes
Input reference

## Macros
#define | GLFW_ARROW_CURSOR 0x00036001
| The regular arrow cursor shape. More...
#define | GLFW_IBEAM_CURSOR 0x00036002
| The text input I-beam cursor shape. More...
#define | GLFW_CROSSHAIR_CURSOR 0x00036003
| The crosshair shape. More...
#define | GLFW_HAND_CURSOR 0x00036004
| The hand shape. More...
#define | GLFW_HRESIZE_CURSOR 0x00036005
| The horizontal resize arrow shape. More...
#define | GLFW_VRESIZE_CURSOR 0x00036006
| The vertical resize arrow shape. More...

## Detailed Description

See standard cursor creation for how these are used.

## Macro Definition Documentation

#define GLFW_ARROW_CURSOR 0x00036001

The regular arrow cursor.

#define GLFW_CROSSHAIR_CURSOR 0x00036003

The crosshair shape.

#define GLFW_HAND_CURSOR 0x00036004

The hand shape.

#define GLFW_HRESIZE_CURSOR 0x00036005

The horizontal resize arrow shape.

#define GLFW_IBEAM_CURSOR 0x00036002

The text input I-beam cursor shape.

#define GLFW_VRESIZE_CURSOR 0x00036006

The vertical resize arrow shape.